Get outgoing webhook
curl --request GET \
--url https://api.coralogix.com/mgmt/openapi/5/integrations/webhooks/v1/{id} \
--header 'Authorization: <api-key>'import requests
url = "https://api.coralogix.com/mgmt/openapi/5/integrations/webhooks/v1/{id}"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.coralogix.com/mgmt/openapi/5/integrations/webhooks/v1/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"webhook": {
"genericWebhook": {
"headers": {},
"payload": "<string>",
"uuid": "d838cd7b-087b-40c6-bc33-80997020f5d0"
},
"awsEventBridge": {
"detail": "<string>",
"detailType": "detail_type",
"eventBusArn": "arn:aws:events:us-east-1:123456789012:event-bus/default",
"roleName": "role_name",
"source": "source"
},
"createdAt": "2023-11-07T05:31:56Z",
"demisto": {
"payload": "<string>",
"uuid": "d838cd7b-087b-40c6-bc33-80997020f5d0"
},
"emailGroup": {
"emailAddresses": [
"example@coralogix.com"
]
},
"externalId": 123456,
"ibmEventNotifications": {
"eventNotificationsInstanceId": "<string>",
"regionId": "<string>",
"sourceId": "<string>",
"sourceName": "<string>"
},
"id": "webhook_id",
"jira": {
"apiToken": "jira_api_token",
"email": "jira_email",
"projectKey": "jira_project_key"
},
"microsoftTeams": {},
"msTeamsWorkflow": {},
"name": "my_webhook",
"opsgenie": {},
"pagerDuty": {
"serviceKey": "pager_duty_service_key"
},
"sendLog": {
"payload": "<string>",
"uuid": "d838cd7b-087b-40c6-bc33-80997020f5d0"
},
"slack": {
"attachments": [
{
"isActive": true
}
],
"digests": [
{
"isActive": true
}
]
},
"updatedAt": "2023-11-07T05:31:56Z",
"url": "slack.webhook.com"
}
}{
"code": 349,
"message": "<string>"
}{
"code": 349,
"message": "<string>"
}{
"code": 349,
"message": "<string>"
}Outgoing Webhooks Service
Get outgoing webhook
Returns the details of the specified outgoing webhook.
Requires the following permissions:
outbound-webhooks:ReadConfig
Get outgoing webhook
Authorizations
API key authentication
Path Parameters
The unique identifier of the outgoing webhook.
Response
Response containing the details of an outgoing webhook.
Outgoing webhook.
- Outgoing webhook
- Outgoing webhook
- Outgoing webhook
- Outgoing webhook
- Outgoing webhook
- Outgoing webhook
- Outgoing webhook
- Outgoing webhook
- Outgoing webhook
- Outgoing webhook
- Outgoing webhook
- Outgoing webhook
- Outgoing webhook
Show child attributes
Show child attributes
Was this page helpful?
⌘I